'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgMauritania = function SvgMauritania(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "Mauritania_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#Mauritania_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#CD2A3E",
    d: "M1 1h62v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#006233",
    d: "M1 7.9h62v32.2H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFC400",
    d: "M46.531 15.816c0 3.812-1.53 7.469-4.256 10.165A14.6 14.6 0 0 1 32 30.19c-3.854 0-7.55-1.515-10.275-4.21a14.3 14.3 0 0 1-4.256-10.165 14.774 14.774 0 0 0 3.914 14.26A15.1 15.1 0 0 0 32 34.426c3.982 0 7.802-1.564 10.618-4.35a14.77 14.77 0 0 0 3.913-14.26"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFC400",
    d: "m32 9.99-1.307 3.976h-4.215l3.42 2.454-1.308 3.967 3.42-2.453 3.42 2.453-1.308-3.967 3.42-2.454h-4.224z"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgMauritania;
